{ pkgs, ... }:

{
  services.openssh.enable = true;
  security.sudo.wheelNeedsPassword = false;
  users.mutableUsers = false;
  nixpkgs.config.allowUnfree = true;

  environment.systemPackages = with pkgs; [
    file
    vim
    curl
    wget
    git
    tmux
    psmisc
  ];

  environment.variables.EDITOR = "vim";

  boot.binfmt.registrations.appimage = {
    wrapInterpreterInShell = false;
    interpreter = "${pkgs.appimage-run}/bin/appimage-run";
    recognitionType = "magic";
    offset = 0;
    mask = ''\xff\xff\xff\xff\x00\x00\x00\x00\xff\xff\xff'';
    magicOrExtension = ''\x7fELF....AI\x02'';
  };
}
